import server from './server';
import colors from 'colors';
import knex from '../knex_router';

/**
 * Returns home page of API
 * @name Home
 */
server.get('/', function(req, res) {
    console.log('Connectting to '+req.url);
    res.send(`<h1>Hello, world</h1>
    
    Hello, world ! This is server talking to you live on port `+port+' !');
});

/**
 * Get table data
 * @name Database: Table get
 * @argument id - Table user wants
 */
server.get('/db/:id?', function(req, res) {
    console.log(req.route);

    // get columns from query
    let columns = req.query.columns.split(',');
    console.log(columns);
    
    knex.select.apply(this,columns).from(req.params.id).then(function(table) {
        res.write(JSON.stringify(table,null,2));
        res.end();
    });
});

// define port server is to listen on
const port = process.env.PORT || 3000;

server.listen(port, () => console.log(colors.blue('Express server running on port', port)));